#
# This script was written by Renaud Deraison <deraison@cvs.nessus.org>
#
# See the Nessus Scripts License for details
#

if(description)
{
 name["english"] = "Stacheldraht Detect";
 name["francais"] = "Detection de Stacheldraht";
 
 script_name(english:name["english"], francais:name["francais"]);
 
 desc["english"] = "
The remote host appears to be running
Stacheldraht, which is
a trojan that can be used to control
your system or make it attack another
network.

It is very likely that this host
has been compromised

Solution : Restore your system from backups,
	   contact CERT and your local
	   authorities

Risk factor : Critical";



 desc["francais"] = "
Le systeme distant semble faire tourner
Stacheldraht qui peut etre
utilis pour prendre le controle de celui-ci
ou pour attaquer un autre rseau.

Il est trs probable que ce systeme a t
compromis

Solution : reinstallez votre systme  partir
	   des sauvegardes, et contactez le CERT
	   et les autorits locales
	   
Facteur de risque : Critique";


 script_description(english:desc["english"], francais:desc["francais"]);
 
 summary["english"] = "Detects the presence of Stacheldraht";
 summary["francais"] = "Detecte la prsence de Stacheldraht";
 
 script_summary(english:summary["english"], francais:summary["francais"]);
 
 script_category(ACT_ATTACK);
 
 
 script_copyright(english:"This script is Copyright (C) 2000 Renaud Deraison",
		francais:"Ce script est Copyright (C) 2000 Renaud Deraison");
 family["english"] = "Backdoors";
 family["francais"] = "Backdoors";
 script_family(english:family["english"], francais:family["francais"]);
 script_require_ports(65000, 16660, 65512);
 
 exit(0);
}


port16 = get_port_state(16660);
port652 = get_port_state(65512);
port65 = get_port_state(65000);
sum = port16 + port65 + port652;
if(sum)
{
 if(port16)
 {
  soc16 = open_sock_tcp(16660);
  if(soc16)
  {
   security_hole(16660);
   close(soc16);
   exit (0);
  }
 }
 
 if(port65)
 {
  soc65 = open_sock_tcp(65000);
  if(soc65)
  {
   security_hole(65000);
   close(soc65);
   exit(0);
  }
 }
 
 if(port652)
 {
  soc652 = open_sock_tcp(65512);
  if(soc652)
  {
   security_hole(65512);
   close(soc652);
   exit(0);
  }
 } 
}
